<!--ADM home.js -->
/* mappen beg */
/*
function nurZahlen(el){
  var val  = el.value.replace(/[^\.^,\d]/g, '') ; //Nur Zahlen und Dez-Zeichen
  val = val.replace(/[.]/g, ',') ; // "," ersetzen zu "."
  // Nur ein Dez-Zeichen erlauben
  if(val.split(',').length>2)
         val =val.replace(/\.+$/,"");
  el.value = val ;
}
*/

function nurZahlen(el){
  var val  = el.value.replace(/[^\.^,\d]/g, '') ; //Nur Zahlen und Dez-Zeichen
  val = val.replace(/[,]/g, '.') ; // "," ersetzen zu "."
  // Nur ein Dez-Zeichen erlauben
  if(val.split('.').length>2)
         val =val.replace(/\.+$/,"");
  el.value = val ;
}


$('#fileupload').bind('change', function(){
  var fsz = this.files[0].size / 1024 / 1024;
  //alert(fsz);
  $.ajax({
     type: 'POST',
     crossDomain: true,
     url: 'limit.php',
     data: {dt: '../cfg/all_cfg.inc.php'},
     dataType: 'json',
     success: function(responseData, textStatus, jqXHR)
     {
      //alert(JSON.stringify(responseData));
      var status = responseData.status;
      if(status == 'ok'){
       var maxfs = responseData.maxfs;
       var maxps = responseData.maxps;
       var minsz = Math.min(maxfs, maxps);
       if(fsz > minsz){
        //alert(fsz + ' - ' + minsz);
        jQuery.ajax({
         url: '../fnk/dbsel_ajax.php',
         type: 'POST',
         data: {'selid1':'9','ret':minsz,'selid2':'10'},
         success:function(results){
           $.alert({
              title: '',
              type: 'blue',
              typeAnimated: true,
              boxWidth: '300px',
              useBootstrap: false,
              content: results,
           });
         },
         error: function(results, textStatus, errorThrown)
         {
          $.alert({
           title: '',
           type: 'blue',
           typeAnimated: true,
           boxWidth: '300px',
           useBootstrap: false,
           content: textStatus,
          });
         }
        });
       }
      }else{
       $.alert({
        title: '',
        type: 'blue',
        typeAnimated: true,
        boxWidth: '300px',
        useBootstrap: false,
        content: 'Error: cfg/all_cfg.inc.php',
       });
      }
     },
     error: function (responseData, textStatus, errorThrown)
     {
      console.warn(responseData, textStatus, errorThrown);
      alert('JSON failed - ' + textStatus);
     }
  });
});
/* mappen end */
/* DP BEG */
$(function() {
    $('#von').datepicker({ dateFormat: 'dd.mm.yy' });
});
$(function() {
    $('#bis').datepicker({ dateFormat: 'dd.mm.yy' });
});
/* German initialisation for the jQuery UI date picker plugin. */
jQuery(function($){
   $.datepicker.regional['de'] = {
    closeText: 'schlieen',
    prevText: '&#x3c;zurck',
    nextText: 'Vor&#x3e;',
    currentText: 'heute',
    monthNames: ['Januar','Februar','Mrz','April','Mai','Juni',
    'Juli','August','September','Oktober','November','Dezember'],
    monthNamesShort: ['Jan','Feb','Mr','Apr','Mai','Jun',
    'Jul','Aug','Sep','Okt','Nov','Dez'],
    dayNames: ['Sonntag','Montag','Dienstag','Mittwoch','Donnerstag','Freitag','Samstag'],
    dayNamesShort: ['So','Mo','Di','Mi','Do','Fr','Sa'],
    dayNamesMin: ['So','Mo','Di','Mi','Do','Fr','Sa'],
    weekHeader: 'Wo',
    firstDay: 1,
    isRTL: false,
    showMonthAfterYear: false,
    yearSuffix: ''};
   $.datepicker.setDefaults($.datepicker.regional['de']);
   $(".ui-datepicker").css('font-size', 10)
});
/* DP END */

/**** PB BEG ****/
$('#fotoid').submit(function(e){
   e.preventDefault();
   //alert($(this).serialize());
   var formURL = $(this).attr('action');
   //var lfile = $('input[type=file]');
   var lfile = $('#bldsid');
   var fnl = lfile.val().split('\\').pop().length;
   if(fnl != 0){
    var endung = lfile.val().split('\\').pop().split('.').pop().toLowerCase();
    var arrayExtensions = ["jpg", "jpeg", "png", "bmp", "gif"];
    if(arrayExtensions.lastIndexOf(endung) == -1){
     jQuery.ajax({
      url: '../fnk/dbsel_ajax.php',
      type: 'POST',
      data: {'selid':'8'},
      success:function(results){
       $.alert({
        title: '',
        type: 'blue',
        boxWidth: '300px',
        useBootstrap: false,
        typeAnimated: true,
        content: results,
       });
      },
      error: function(results, textStatus, errorThrown)
      {
       $("#msgid").empty();
       $("#msgid").show();
       $('#msgid').html('<div id=\"ak\">' + textStatus + '</div>');
      }
     });
     lfile.val('');
     fnl = 0;
     return;
    }
    var fsize = Math.round(lfile[0].files[0].size/1024);
   }else{var fsize = 0;}
   var maximgsize = $('#maximgsize').html();
   //alert(fsize + ' > ' + maximgsize);
   if(fsize > maximgsize){
    jQuery.ajax({
      url: '../fnk/dbsel_ajax.php',
      type: "POST",
      data: {'selid':'9'},
      success:function(results){
       $.alert({
        title: '',
        type: 'blue',
        typeAnimated: true,
        boxWidth: '300px',
        useBootstrap: false,
        content: results + maximgsize + ' KB !',
       });
      },
      error: function(results, textStatus, errorThrown)
      {
       $("#msgid").empty();
       $("#msgid").show();
       $('#msgid').html('<div id="ak">' + textStatus + '</div>');
      }
    });
   }else{
    $.ajax({
     url: formURL,
     type: 'POST',
     data: new FormData(this),
     contentType: false,
     cache: false,
     processData:false,
     success: function(data)
     {
      var n = data.search('Error:');
      if(n == -1){
       jQuery.ajax({
        url:location.href,
        type:'POST',
        success:function(results){
         location.reload(true);
        }
       });
      }else{
       $("#msgid").empty();
       $("#msgid").show();
       $('#msgid').html('<div id="ak">' + data + '</div>');
      }
     }
    });
   }
});
/**** PB END ****/