<?php
//error_reporting(0);
class dbmysql{

  private $connection = NULL;
  private $db = NULL;
  private $dbclose = NULL;
  private $result = NULL;
  private $assoc = NULL;

  public function connect(){
   $numargs = func_num_args();
   $arg_list = func_get_args();
   if($numargs == 4){
    @$this->connection = mysqli_connect(
      $arg_list[0],
      $arg_list[2],
      $arg_list[3]
    );
    if(mysqli_connect_errno()){
     $cerr = "DB Connection error: ".mysqli_connect_error();
    }else{
     $this->db = mysqli_select_db($this->connection, $arg_list[1]);
     if(!$this->db){$cerr = "DB select error: ".mysqli_error($this->connection);}
    }
   }
   elseif($numargs == 3){
    @$this->connection = mysqli_connect(
      $arg_list[0],
      $arg_list[1],
      $arg_list[2]
    );
    if(mysqli_connect_errno()){$cerr = "DB Connection error: ".mysqli_connect_error();}
   }else{
    $cerr = "db connection parameters incorrect";
   }
   if(isset($cerr)){return $cerr;}
  }

  public function real_escape_string($strg) {
    if($this->connection) {
      $this->res = mysqli_real_escape_string($this->connection,$strg);
      return $this->res;
    }
  }

  public function disconnect() {
    if($this->connection) {
      $this->dbclose = mysqli_close($this->connection);
    }
  }

  public function query($query){
    if($this->connection && !$this->dbclose && !empty($query)){
       $this->result = mysqli_query($this->connection,$query);
       $qerr = mysqli_error($this->connection);
       if($qerr){
        return $qerr;
       }
    }else{return FALSE;}
  }

  public function fetchRow(){
    if($this->result){
      $this->assoc = mysqli_fetch_assoc($this->result);
      if(is_array($this->assoc)){
        return $this->assoc;
      } else {
        return FALSE;
      }
    }
  }

  public function fetchRowNum(){
    if($this->result){
      $row = array();
      $inarr = array();
      while($row = mysqli_fetch_row($this->result))
      {
       array_push($inarr,$row);
      }
      if(is_array($inarr)){
        return $inarr;
      } else {
        return FALSE;
      }
    }
  }
}
?>