$(document).ready(function(){

 $('#actionid').change(function(){
   var value = $(this).val().toString();
   var app = '';
   switch(value){
    case 'neu':
        app = 'create';
        break;
    case 'update':
        app = 'update';
        break;
    case 'delete':
        app = 'delete';
        break;
    default:
        app = 'create';
   }
   jQuery.ajax({
     url:app + '.php',
     data: {'app':app,'selectsadm':value},
     type:'GET',
     success:function(results){
      jQuery('#content').html(results);
     },
     error: function(results, textStatus, errorThrown)
     {
      $('#errs').html("<div id='err'>" + textStatus + "</div>");
     }
   });
 });

 //if checkbox is cheked
 $('.chkbox').on('change', function(){
  if($('input:checkbox:checked').length > 0) {
    $('#sendid').removeAttr('disabled');
  }else{
    $('#sendid').attr('disabled', 'disabled');
  }
 });

 $('#abruch').click(function(e){
   e.preventDefault();
   jQuery.ajax({
     url: 'willkommen.php',
     type: "GET",
     success:function(results){
      jQuery('#content').html(results);
     },
     error: function(results, textStatus, errorThrown)
     {
      $('#errs').html("<div id='err'>" + textStatus + "</div>");
     }
   });
 });

 $('#updateid').submit(function(e){
   e.preventDefault();
   //alert($(this).serialize());
   var postData = $(this).serializeArray();
   var formURL = $(this).attr('action');
   jQuery.ajax({
     url: formURL,
     type: "POST",
     data: new FormData(this),
     contentType: false,
     cache: false,
     processData:false,
     success:function(results){
      jQuery('#content').html(results);
     },
     error: function(results, textStatus, errorThrown)
     {
      $('#errs').html("<div id='err'>" + textStatus + "</div>");
     }
   });
 });

 $('#mqdelid').submit(function(e){
   e.preventDefault();
   var postData = $(this).serializeArray();
   var pst = postData[0].value;
   var formURL = $(this).attr('action');
   $.ajax({
     url: formURL,
     type: "POST",
     data: new FormData(this),
     contentType: false,
     cache: false,
     processData:false,
     success: function(data)
     {
      $('#sendid').attr('disabled', 'disabled');
      var n = data.search('ok');
      if(n == -1){
       alert(data);
      }
      jQuery.ajax({
        url:'willkommen.php',
        data: {'app':'willkommen'},
        type:'GET',
        success:function(results){
         jQuery('#content').html(results);
        }
      });
     }
   });
   $('#mqdelid')[0].reset();
 });

 $('#uploadid, #changeid').submit(function(e){
   e.preventDefault();
   //alert($(this).serialize());
   var postData = $(this).serializeArray();
   var pst = postData[0].value;
   var pstl = postData[0].value.length;
   var formURL = $(this).attr('action');
   var lfile = $('input[type=file]');
   var fnl = lfile.val().split('\\').pop().length;
   if(fnl != 0){
    var endung = lfile.val().split('\\').pop().split('.').pop().toLowerCase();
    var arrayExtensions = ["jpg", "jpeg", "png", "bmp", "gif"];
    if(arrayExtensions.lastIndexOf(endung) == -1 && pstl == 0) {
     alert('Bildformate JPEG/JPG/PNG/BMP/GIF erlaubt!');
     $('#sendid').attr('disabled', 'disabled');
     lfile.val('');
     fnl = 0;
     return;
    }
    if(arrayExtensions.lastIndexOf(endung) == -1 && pstl > 0) {
     alert('Bildformate JPEG/JPG/PNG/BMP/GIF erlaubt!');
     lfile.val('');
     fnl = 0;
    }
   }
   if(fnl == 0){var fsize = 0;}else{var fsize = Math.round(lfile[0].files[0].size/1024);}
   var limit = $('#limit').html();
   if(fsize > limit && pstl == 0){
    alert('Bild wurde nicht hochgeladen\nUpload limit ' + limit + ' KB !\nLimit ' + unescape("%E4") + 'ndern fernnetz/cfg/all_cfg.inc.php');
    $('#sendid').attr('disabled', 'disabled');
   }else{
    if(fsize > limit && pstl > 0){
     alert('Bild wurde nicht hochgeladen\nUpload limit ' + limit + ' KB !\nLimit ' + unescape("%E4") + 'ndern fernnetz/cfg/all_cfg.inc.php');
     lfile.val('');
    }
    $.ajax({
     url: formURL,
     type: "POST",
     data: new FormData(this),
     contentType: false,
     cache: false,
     processData:false,
     success: function(data)
     {
      $('#sendid').attr('disabled', 'disabled');
      var n = data.search('ok');
      if(n == -1){
       alert(data);
      }
      jQuery.ajax({
        url:'willkommen.php',
        data: {'app':'willkommen'},
        type:'GET',
        success:function(results){
         jQuery('#content').html(results);
        }
      });
     }
    });
   }
   $('#uploadid, #changeid')[0].reset();
 });

 $('#sendid').attr('disabled', 'disabled');

 $('.tamailup, .tabldup, #eml').keyup(function(){
  $('#sendid').removeAttr('disabled');
 });
 $('.tamailup, .tabldup, #eml').focus(function(){
  $('input[type="submit"]').removeAttr('disabled');
  //$('#sendid').removeAttr('disabled');
 });

 $('.bldup, #flup').on('change', function() {
    //$('#sendid').removeAttr('disabled');
    $('input[type="submit"]').removeAttr('disabled');
 });
 $('.bldup, #flup').bind('change', function(){
  var fsz = this.files[0].size / 1024;
  var limit = $('#limit').html();
  if(fsz > limit){
   alert('Bild wurde nicht hochgeladen\nUpload limit ' + limit + ' KB !\nLimit ' + unescape("%E4") + 'ndern fernnetz/cfg/all_cfg.inc.php');
   $(this).val("");
   var txt = $('#eml').val().toString();
   if(txt.length == 0){
    //$('input[type="submit"]').attr('disabled', 'disabled');
    $('#sendid').attr('disabled', 'disabled');
   }else{
    $('input[type="submit"]').removeAttr('disabled');
    //$('#sendid').removeAttr('disabled');
   }
  }else{
   $('input[type="submit"]').removeAttr('disabled');
   //$('#sendid').removeAttr('disabled');
  }
 });

});